from sys import exit

import click

from desec_dns_cli.account import _account
from desec_dns_cli.tokens import _token
from desec_dns_cli.domains import _domain
from desec_dns_cli.recordsets import _rrset


__version__ = '0.0.3'


@click.group(invoke_without_command=True, no_args_is_help=True)
@click.option('-v', '--version', is_flag=True, default=False, help='Show version and exit.')
def cli(version):
    if version:
        click.echo(f'desec-dns-cli v{ __version__ }')
        exit(0)


cli.add_command(_account)
cli.add_command(_token)
cli.add_command(_domain)
cli.add_command(_rrset)
