import click

from desec_dns_cli.util import get_config, save_config


@click.group(name='token')
def _token():
    pass


# TODO: get all tokens https://gitlab.com/XenGi/desec-dns-cli/issues/8


# TODO: create token https://gitlab.com/XenGi/desec-dns-cli/issues/9


# TODO: delete token https://gitlab.com/XenGi/desec-dns-cli/issues/10


# convenience functions

@click.command('save')
@click.argument('token', type=str, required=True)
def _save(token: str):
    """
    Save authentication token to config file.

    UNTESTED
    """
    try:
        conf = get_config()
        if not conf.has_section('auth'):
            conf.add_section('auth')
        conf.set('auth', 'token', token)
        save_config(conf)
    except IOError as e:
        click.echo(f'Unexpected error: { e }')


_token.add_command(_save)
